# GstGLMixer

GstGLMixer helps implement an element that operates on RGBA textures.

## GstGLMixer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAggregator
                        ╰──GstVideoAggregator
                            ╰──GstGLBaseMixer
                                ╰──GstGLMixer

### Members

`parent` (GstGLBaseMixer) –
No description available
`out_caps` (GstCaps *) –

the configured output GstCaps

Since : 1.24

### Class structure

#### GstGLMixerClass

##### Fields

`parent_class` (GstGLBaseMixerClass) –
No description available

Since : 1.24

### GstGL.GLMixerClass

##### Attributes

`parent_class` (GstGL.GLBaseMixerClass) –
No description available

Since : 1.24

### GstGL.GLMixerClass

##### Attributes

`parent_class` (GstGL.GLBaseMixerClass) –
No description available

Since : 1.24

## GstGL.GLMixer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.Aggregator
                        ╰──GstVideo.VideoAggregator
                            ╰──GstGL.GLBaseMixer
                                ╰──GstGL.GLMixer

### Members

`parent` (GstGL.GLBaseMixer) –
No description available
`out_caps` (Gst.Caps) –

the configured output Gst.Caps

Since : 1.24

## GstGL.GLMixer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.Aggregator
                        ╰──GstVideo.VideoAggregator
                            ╰──GstGL.GLBaseMixer
                                ╰──GstGL.GLMixer

### Members

`parent` (GstGL.GLBaseMixer) –
No description available
`out_caps` (Gst.Caps) –

the configured output Gst.Caps

Since : 1.24

### Methods

#### gst_gl_mixer_get_framebuffer

    GstGLFramebuffer *
    gst_gl_mixer_get_framebuffer (GstGLMixer * mix)

Parameters:

`mix` –

the GstGLMixer

Returns ( [transfer: full]) –

(nullable): The GstGLFramebuffer in use by this mix

Since : 1.24

#### GstGL.GLMixer.prototype.get_framebuffer

    function GstGL.GLMixer.prototype.get_framebuffer(): {
        // javascript wrapper for 'gst_gl_mixer_get_framebuffer'
    }

Parameters:

`mix` (GstGL.GLMixer) –

the GstGL.GLMixer

Returns (GstGL.GLFramebuffer) –

(nullable): The GstGL.GLFramebuffer in use by this mix

Since : 1.24

#### GstGL.GLMixer.get_framebuffer

    def GstGL.GLMixer.get_framebuffer (self):
        #python wrapper for 'gst_gl_mixer_get_framebuffer'

Parameters:

`mix` (GstGL.GLMixer) –

the GstGL.GLMixer

Returns (GstGL.GLFramebuffer) –

(nullable): The GstGL.GLFramebuffer in use by this mix

Since : 1.24

#### gst_gl_mixer_process_textures

    gboolean
    gst_gl_mixer_process_textures (GstGLMixer * mix,
                                   GstBuffer * outbuf)

Perform processing required and call process_textures(). Intended for use within implementations of process_buffers().

Parameters:

`mix` –

the GstGLMixer

`outbuf` –

output GstBuffer

Returns –

whether processing of textures succeeded

Since : 1.24

#### GstGL.GLMixer.prototype.process_textures

    function GstGL.GLMixer.prototype.process_textures(outbuf: Gst.Buffer): {
        // javascript wrapper for 'gst_gl_mixer_process_textures'
    }

Perform processing required and call vfunc_process_textures(). Intended for use within implementations of vfunc_process_buffers().

Parameters:

`mix` (GstGL.GLMixer) –

the GstGL.GLMixer

`outbuf` (Gst.Buffer) –

output GstBuffer

Returns (Number) –

whether processing of textures succeeded

Since : 1.24

#### GstGL.GLMixer.process_textures

    def GstGL.GLMixer.process_textures (self, outbuf):
        #python wrapper for 'gst_gl_mixer_process_textures'

Perform processing required and call do_process_textures(). Intended for use within implementations of do_process_buffers().

Parameters:

`mix` (GstGL.GLMixer) –

the GstGL.GLMixer

`outbuf` (Gst.Buffer) –

output GstBuffer

Returns (bool) –

whether processing of textures succeeded

Since : 1.24

### Class Methods

#### gst_gl_mixer_class_add_rgba_pad_templates

    gst_gl_mixer_class_add_rgba_pad_templates (GstGLMixerClass * klass)

Adds the default RGBA pad templates to this class. If you have any special template requirements like a different pad subclass or different supported caps, you should not call this function and add the pad templates yourself manually.

Parameters:

`klass` –

the GstGLMixerClass

Since : 1.24

#### GstGL.GLMixerClass.prototype.add_rgba_pad_templates

    function GstGL.GLMixerClass.prototype.add_rgba_pad_templates(klass: GstGL.GLMixerClass): {
        // javascript wrapper for 'gst_gl_mixer_class_add_rgba_pad_templates'
    }

Adds the default RGBA pad templates to this class. If you have any special template requirements like a different pad subclass or different supported caps, you should not call this function and add the pad templates yourself manually.

Parameters:

`klass` (GstGL.GLMixerClass) –

the GstGL.GLMixerClass

Since : 1.24

### Virtual Methods

#### process_buffers

    gboolean
    process_buffers (GstGLMixer * mix,
                     GstBuffer * outbuf)

Perform operations on the input buffers to produce an output buffer.

Parameters:

`mix` –
No description available
`outbuf` –
No description available
Returns –
No description available

Since : 1.24

#### vfunc_process_buffers

    function vfunc_process_buffers(mix: GstGL.GLMixer, outbuf: Gst.Buffer): {
        // javascript implementation of the 'process_buffers' virtual method
    }

Perform operations on the input buffers to produce an output buffer.

Parameters:

`mix` (GstGL.GLMixer) –
No description available
`outbuf` (Gst.Buffer) –
No description available
Returns (Number) –
No description available

Since : 1.24

#### do_process_buffers

    def do_process_buffers (mix, outbuf):
        #python implementation of the 'process_buffers' virtual method

Perform operations on the input buffers to produce an output buffer.

Parameters:

`mix` (GstGL.GLMixer) –
No description available
`outbuf` (Gst.Buffer) –
No description available
Returns (bool) –
No description available

Since : 1.24

#### process_textures

    gboolean
    process_textures (GstGLMixer * mix,
                      GstGLMemory * out_tex)

perform operations with the input and output buffers mapped as textures. Will not be called if process_buffers is overriden.

Parameters:

`mix` –
No description available
`out_tex` –
No description available
Returns –
No description available

Since : 1.24

#### vfunc_process_textures

    function vfunc_process_textures(mix: GstGL.GLMixer, out_tex: GstGL.GLMemory): {
        // javascript implementation of the 'process_textures' virtual method
    }

perform operations with the input and output buffers mapped as textures. Will not be called if process_buffers is overriden.

Parameters:

`mix` (GstGL.GLMixer) –
No description available
`out_tex` (GstGL.GLMemory) –
No description available
Returns (Number) –
No description available

Since : 1.24

#### do_process_textures

    def do_process_textures (mix, out_tex):
        #python implementation of the 'process_textures' virtual method

perform operations with the input and output buffers mapped as textures. Will not be called if process_buffers is overriden.

Parameters:

`mix` (GstGL.GLMixer) –
No description available
`out_tex` (GstGL.GLMemory) –
No description available
Returns (bool) –
No description available

Since : 1.24

## GstGLMixerPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstAggregatorPad
                        ╰──GstVideoAggregatorPad
                            ╰──GstGLBaseMixerPad
                                ╰──GstGLMixerPad

### Members

`parent` (GstGLBaseMixerPad) –

parent GstGLBaseMixerPad

`current_texture` (guint) –

the current input texture for this pad

Since : 1.24

### Class structure

#### GstGLMixerPadClass

##### Fields

`parent_class` (GstGLBaseMixerPadClass) –

parent GstGLBaseMixerPadClass

Since : 1.24

### GstGL.GLMixerPadClass

##### Attributes

`parent_class` (GstGL.GLBaseMixerPadClass) –

parent GstGL.GLBaseMixerPadClass

Since : 1.24

### GstGL.GLMixerPadClass

##### Attributes

`parent_class` (GstGL.GLBaseMixerPadClass) –

parent GstGL.GLBaseMixerPadClass

Since : 1.24

## GstGL.GLMixerPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──GstBase.AggregatorPad
                        ╰──GstVideo.VideoAggregatorPad
                            ╰──GstGL.GLBaseMixerPad
                                ╰──GstGL.GLMixerPad

### Members

`parent` (GstGL.GLBaseMixerPad) –

parent GstGL.GLBaseMixerPad

`current_texture` (Number) –

the current input texture for this pad

Since : 1.24

## GstGL.GLMixerPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──GstBase.AggregatorPad
                        ╰──GstVideo.VideoAggregatorPad
                            ╰──GstGL.GLBaseMixerPad
                                ╰──GstGL.GLMixerPad

### Members

`parent` (GstGL.GLBaseMixerPad) –

parent GstGL.GLBaseMixerPad

`current_texture` (int) –

the current input texture for this pad

Since : 1.24

The results of the search are